@layer components {
    .container {
        margin-inline: auto;
    }

    .container--size-narrow {
        inline-size: min(100%, 24rem);
    }

    .container--size-readable {
        inline-size: min(100%, 40rem);
    }

    .container--size-wide {
        inline-size: min(100%, 64rem);
    }
}
